Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 109262 - Newline in HTML within RHTML files don't indent
Newline in HTML within RHTML files don't indent
Status: RESOLVED FIXED
Product: ruby
Classification: Unclassified
Component: Editing
6.x
PC Windows XP
: P2 (vote)
: 6.x
Assigned To: Torbjorn Norbye
issues@ruby
:
Depends on: 120491
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-10 15:57 UTC by William Leonard
Modified: 2008-01-27 22:33 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description William Leonard 2007-07-10 15:57:33 UTC
Open an rhtml file and type <p>. Wait for code completion to present the closing </p>, accept the completion and then
press enter. The closing </p> is indented blow the opening. Producing a series of these in your code will look as follows:

        <p>            
            </p>
            <p>              
                </p>
                <p>                    
                    </p>
                    <p>                        
                        </p>

Alt+Shift+F corrects the formatting.
Comment 1 Torbjorn Norbye 2007-08-10 02:06:36 UTC
RHTML indenting is still in progress.
Comment 2 Torbjorn Norbye 2007-10-13 02:54:31 UTC
This is no longer a problem - but I note that when I press newline after <p> it doesn't indent. If you type some text
it's in column 0. Pressing Alt-Shift-F reformats and indents the text in. I think smart indent should have indented
after <p> but that's an HTML editing problem.
Comment 3 Tomasz Slota 2007-10-30 16:22:35 UTC
The latter problem depends directly on issue 120491
Comment 4 Torbjorn Norbye 2007-12-21 00:09:50 UTC
A lot of people are running into this bug; somebody just stated on nbusers that this bug is a blocker for them. 

Tomasz, any idea what this might be?
Comment 5 Tomasz Slota 2008-01-10 14:57:34 UTC
The new line indentation is set correctly by the HTML indent task, but then overridden by theindent task for the 'application/x-httpd-eruby/text/x-ruby' 
mime path. The x-ruby indent task should not modify the document when the cursor position is within another language path (embedded or on the same 
level).
Comment 6 Torbjorn Norbye 2008-01-27 22:33:41 UTC
Fixed:

changeset:   64914:0cd2fe7830b4
tag:         tip
user:        Tor Norbye <tor@netbeans.org>
date:        Sun Jan 27 14:29:22 2008 -0800
summary:     109262: Newline in HTML within RHTML files don't indent


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo